---
lang: en
title: 'API docs: pooling.poolingservice._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/pooling
permalink: /doc/en/lb4/apidocs.pooling.poolingservice._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/pooling](./pooling.md) &gt; [PoolingService](./pooling.poolingservice.md) &gt; [(constructor)](./pooling.poolingservice._constructor_.md)

## PoolingService.(constructor)

Constructs a new instance of the `PoolingService` class

**Signature:**

```typescript
constructor(context: Context, options: PoolingServiceOptions<T>);
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

context


</td><td>

[Context](./context.context.md)


</td><td>


</td></tr>
<tr><td>

options


</td><td>

[PoolingServiceOptions](./pooling.poolingserviceoptions.md)<!-- -->&lt;T&gt;


</td><td>


</td></tr>
</tbody></table>


